/**
 * Assignment #8: POSIX File System Functions
 * Sample Solution
 *
 * Instructor: Ron Mak
 * CMPE 142 Operating Systems
 * Computer Engineering Department
 * San Jose State University
 */
#include <iostream>
#include <fstream>
#include <signal.h>

#include "globals.h"
#include "Parent.h"
#include "Child.h"

using namespace std;

int main()
{
    int file_ids[2];
    pid_t pid;

    if (pipe(file_ids) == -1) abort("pipe");
    if ((pid = fork()) == -1) abort("fork");

    if (pid > 0)
    {
        Parent parent(file_ids);

        // Kill the child process.
        kill(pid, SIGKILL);

        cout << endl << "Done!" << endl;
    }
    else
    {
        Child child(file_ids);
    }

    return 0;
}
